<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Kurs Javascript - zadanie</title>
</head>
<style>
    body {
        background: #eee;
    }
    .list {
        list-style: none;
        padding: 0;
        margin: 20px;
    }
    .list li {
        background: #fff;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 20px;
        margin-bottom: 5px;
        box-shadow:  0 1px 1px rgba(0,0,0,.1);
        font-family: sans-serif;
    }
    .list .status {
        color: #fff;
        font-weight: normal;
        min-width: 80px;
        display: inline-block;
        border-radius: 20px;
        text-align: center;
        margin-left: 10px;
        padding: 5px 10px;
    }
</style>
<body>

<ul class="list">
    <li data-status="up"> Shirleen Garfoot<strong class="status"></strong></li>
    <li data-status="no-change">Lissi Kovnot <strong class="status"></strong></li>
    <li data-status="up">Karena Denys <strong class="status"></strong></li>
    <li data-status="down">Diannne Ainsby <strong class="status"></strong></li>
    <li data-status="up">Marj Adel <strong class="status"></strong></li>
    <li data-status="no-change">Roseann Saer <strong class="status"></strong></li>
    <li data-status="up">Allene Worlidge <strong class="status"></strong></li>
    <li data-status="up">Wildon Lidell <strong class="status"></strong></li>
</ul>

<script>
// Zrób pętlę po elementach listy sprawdzając ich atrybut data-status:

const lista = document.querySelectorAll("li");
//console.dir(lista);

for(const item of lista){

    const status = item.querySelector(".status");

    if(item.dataset.status == "up"){
        status.style.backgroundColor = "springgreen";
        status.innerHTML+="wzrost";    
    }else if(item.dataset.status == "down"){
        status.style.backgroundColor = "orangered";
        status.innerHTML+="spadek";    
    }else if(item.dataset.status == "no-change"){
        status.style.backgroundColor = "mediumslateblue";
        status.innerHTML+="bez zmian";  
    }

}

// - jeżeli ma on wartość "up": ustaw element .status na kolor "springgreen" i wstaw do niego tekst "wzrost"
// - jeżeli ma on wartość "down": ustaw element .status na kolor "orangered" i wstaw do niego tekst "spadek"
// - jeżeli ma on wartość "no-change": ustaw element .status na kolor "mediumslateblue" i wstaw do niego tekst "bez zmian"
</script>

</body>
</html>